Bug 1965116 - Resource dropdown menu for Search and Events should have max-height and scroll enabled.
Summary: Resource dropdown menu for Search and Events should have max-height and scrol...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.8
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: ---
Assignee: Steve Goodwin
QA Contact: Xiyun Zhao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-26 21:27 UTC by Steve Goodwin
Modified: 2022-08-26 14:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-08-26 14:19:24 UTC
Target Upstream Version:


Attachments (Terms of Use)
tall menu (322.08 KB, image/png)
2021-05-26 21:27 UTC, Steve Goodwin
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9061 0 None open Bug 1965116: Add max height to resource and filter drop downs 2021-05-26 21:29:20 UTC

Description Steve Goodwin 2021-05-26 21:27:27 UTC
Created attachment 1787380 [details]
tall menu

The Resource select dropdown menu can become quite tall and causes a lengthy page scroll. It is preferred to limit the menu height relative to the viewport height  and enable it to scroll.

Comment 2 Steve Goodwin 2021-06-01 16:02:44 UTC
Merged PR
https://github.com/openshift/console/pull/9061

Comment 3 Xiyun Zhao 2021-06-04 02:25:36 UTC
Bug has been verified on payload 4.8.0-0.nightly-2021-06-02-025513

Verify Step:
1. Nevigate to OCP Search page (Home -> Search), click resource select dropdown menu
2. Verify if the meau is able scroll, and has a accpectable relatice viewport height for the componet of dropdown list after zoom in/out the page

Result
2. The dropdown list of resources filter on Search page is able to scroll now, and the height for the component will automatically fit the scale of browser


Note You need to log in before you can comment on or make changes to this bug.